--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8
--  https://www.youtube.com/watch?v=0s_pJQn6Ji8


local Sounds = {
    "eastersound1",
    "eastersound5",
    "eastersound6"
}

local function IsSummer()

    local month = getGameTime():getMonth()

    if month >= 3 and month <= 5 then
        return true
    end

    return false
end

local function IsNight()

    local hour = getGameTime():getHour()

    if hour >= 22 or hour < 4 then
        return true
    end

    return false
end

local function PlayRandomWinterSound()

    if SandboxVars
    and SandboxVars.ColdWinters
    and SandboxVars.ColdWinters.EnableEaster == false then
        return
    end

    if IsSummer() then
        return
    end

    if not IsNight() then
        return
    end


    if ZombRand(1700) >= 1 then
        return
    end

    local player = getSpecificPlayer(0)

    if not player then
        return
    end

    local sound = Sounds[ZombRand(#Sounds) + 1]

    player:playSound(sound)

end

Events.EveryTenMinutes.Add(PlayRandomWinterSound)